Last Comment Bug 691087 - Scribd pages displayed with missing content on the latest trunk (position:absolute combined with -moz-transform:scale)
: Scribd pages displayed with missing content on the latest trunk (position:abs...
Status: RESOLVED FIXED
[fixed by bug 656875]
: regression, testcase
Product: Core
Classification: Components
Component: Layout: Block and Inline (show other bugs)
: Trunk
: All All
: -- major (vote)
: mozilla10
Assigned To: :Ehsan Akhgari
:
Mentors:
http://www.scribd.com/doc/46541364/Ma...
Depends on: 656875
Blocks: 10209 691166
  Show dependency treegraph
 
Reported: 2011-10-01 12:46 PDT by George Carstoiu
Modified: 2012-01-05 12:42 PST (History)
7 users (show)
ehsan: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
-


Attachments
Testcase #1 (906 bytes, text/html)
2011-10-02 09:08 PDT, Mats Palmgren (vacation)
no flags Details
Test (2.64 KB, patch)
2011-10-03 16:45 PDT, :Ehsan Akhgari
roc: review+
Details | Diff | Splinter Review

Description George Carstoiu 2011-10-01 12:46:35 PDT
Mozilla/5.0 (Windows NT 5.1; rv:10.0a1) Gecko/20111001 Firefox/10.0a1

When viewing Scribd document, its content is not displayed, although it works correctly on other browsers.

Reproducible: always

Steps to reproduce:
 1. Go to http://www.scribd.com/doc/46541364/Mapa-Invatatorului-Clasa-I-Ghid-Vilcu-Elena
 2. Observe document (compare with other browsers)

Actual results:
 - the content is not displayed

Expected results:
 - the content is displayed 

Note:
 - issue is reproducible also on a clean profile
 - issue not reproducible on Firefox 7 - Mozilla/5.0 (Windows NT 5.1; rv:7.0) Gecko/20100101 Firefox/7.0
Comment 1 George Carstoiu 2011-10-01 13:10:17 PDT
Regression range:

Last good nightly: 2011-09-29
First bad nightly: 2011-09-30

Pushlog:
http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=cb4b93331e4f&tochange=b5b082d183d0
Comment 2 Mats Palmgren (vacation) 2011-10-02 07:35:07 PDT
http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=60e86b847759&tochange=49b3a14730de

good: f96e4ff817a7  bad: 49b3a14730de
Comment 3 Mats Palmgren (vacation) 2011-10-02 09:08:47 PDT
Created attachment 564055 [details]
Testcase #1

Opera and Chrome renders this the same as Firefox used to, fwiw.
Comment 4 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2011-10-02 14:31:07 PDT
I guess this is Ehsan's, but you can take it Mats if you want to.
Comment 5 :Ehsan Akhgari 2011-10-03 16:17:57 PDT
Argh, I bet this is the same problem as bug 656875.  I backed out that patch when I backed out bug 10209 the first time, but among the tens of patches which I was keeping around, that patch got lost.  I'm trying a local build to see if reapplying that patch fixes this problem.
Comment 6 :Ehsan Akhgari 2011-10-03 16:35:23 PDT
Yes, this is indeed fixed by the patch in bug 656875, which I've just pushed to inbound.

I'll keep this open to add a test based on the attached testcase.
Comment 7 :Ehsan Akhgari 2011-10-03 16:45:19 PDT
Created attachment 564393 [details] [diff] [review]
Test

Note You need to log in before you can comment on or make changes to this bug.